Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util
Class FileCopyUtils

    java.lang.Object
      org.springframework.util.FileCopyUtils

    public abstract class FileCopyUtils

extends java.lang.Object

Simple utility methods for file and stream copying. All copy methods use a block size of 4096 bytes, and close all affected streams when done.

Mainly for use within the framework, but also useful for application code.

Since:
  06.10.2003
Author:
  Juergen Hoeller

Field Summary
`static int` | `BUFFER_SIZE`

Constructor Summary
`FileCopyUtils()`

Method Summary
`static void` | `copy(byte[] in, java.io.File out)` Copy the contents of the given byte array to the given output File.
`static void` | `copy(byte[] in, java.io.OutputStream out)` Copy the contents of the given byte array to the given OutputStream.
`static int` | `copy(java.io.File in, java.io.File out)` Copy the contents of the given input File to the given output File.
`static int` | `copy(java.io.InputStream in, java.io.OutputStream out)` Copy the contents of the given InputStream to the given OutputStream.
`static int` | `copy(java.io.Reader in, java.io.Writer out)` Copy the contents of the given Reader to the given Writer.
`static void` | `copy(java.lang.String in, java.io.Writer out)` Copy the contents of the given String to the given output Writer.
`static byte[]` | `copyToByteArray(java.io.File in)` Copy the contents of the given input File into a new byte array.
`static byte[]` | `copyToByteArray(java.io.InputStream in)` Copy the contents of the given InputStream into a new byte array.
`static java.lang.String` | `copyToString(java.io.Reader in)` Copy the contents of the given Reader into a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER_SIZE

    public static final int BUFFER_SIZE

See Also:
  Constant Field Values

Constructor Detail

### FileCopyUtils

    public FileCopyUtils()

Method Detail

### copy

    public static int copy(java.io.File in,
                           java.io.File out)
                    throws java.io.IOException

  Copy the contents of the given input File to the given output File.

  Parameters:
    `in` - the file to copy from
    `out` - the file to copy to
  Returns:
    the number of bytes copied
  Throws:
    `java.io.IOException` - in case of I/O errors

### copy

    public static void copy(byte[] in,
                            java.io.File out)
                     throws java.io.IOException

  Copy the contents of the given byte array to the given output File.

  Parameters:
    `in` - the byte array to copy from
    `out` - the file to copy to
  Throws:
    `java.io.IOException` - in case of I/O errors

### copyToByteArray

    public static byte[] copyToByteArray(java.io.File in)
                                  throws java.io.IOException

  Copy the contents of the given input File into a new byte array.

  Parameters:
    `in` - the file to copy from
  Returns:
    the new byte array that has been copied to
  Throws:
    `java.io.IOException` - in case of I/O errors

### copy

    public static int copy(java.io.InputStream in,
                           java.io.OutputStream out)
                    throws java.io.IOException

  Copy the contents of the given InputStream to the given OutputStream. Closes both streams when done.

  Parameters:
    `in` - the stream to copy from
    `out` - the stream to copy to
  Returns:
    the number of bytes copied
  Throws:
    `java.io.IOException` - in case of I/O errors

### copy

    public static void copy(byte[] in,
                            java.io.OutputStream out)
                     throws java.io.IOException

  Copy the contents of the given byte array to the given OutputStream. Closes the stream when done.

  Parameters:
    `in` - the byte array to copy from
    `out` - the OutputStream to copy to
  Throws:
    `java.io.IOException` - in case of I/O errors

### copyToByteArray

    public static byte[] copyToByteArray(java.io.InputStream in)
                                  throws java.io.IOException

  Copy the contents of the given InputStream into a new byte array. Closes the stream when done.

  Parameters:
    `in` - the stream to copy from
  Returns:
    the new byte array that has been copied to
  Throws:
    `java.io.IOException` - in case of I/O errors

### copy

    public static int copy(java.io.Reader in,
                           java.io.Writer out)
                    throws java.io.IOException

  Copy the contents of the given Reader to the given Writer. Closes both when done.

  Parameters:
    `in` - the Reader to copy from
    `out` - the Writer to copy to
  Returns:
    the number of characters copied
  Throws:
    `java.io.IOException` - in case of I/O errors

### copy

    public static void copy(java.lang.String in,
                            java.io.Writer out)
                     throws java.io.IOException

  Copy the contents of the given String to the given output Writer. Closes the write when done.

  Parameters:
    `in` - the String to copy from
    `out` - the Writer to copy to
  Throws:
    `java.io.IOException` - in case of I/O errors

### copyToString

    public static java.lang.String copyToString(java.io.Reader in)
                                         throws java.io.IOException

  Copy the contents of the given Reader into a String. Closes the reader when done.

  Parameters:
    `in` - the reader to copy from
  Returns:
    the String that has been copied to
  Throws:
    `java.io.IOException` - in case of I/O errors

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD